1. Deposit
Payland API v2
  • API Response Codes and Messages
  • Credit Card Info & Test Cards
  • Withdraw Info
  • Deposit
    • Create Deposit (Bank Transfer)
      POST
    • Create Deposit (Credit Card)
      POST
    • Create Deposit (Crypto)
      POST
    • Check Deposit Status
      GET
  • Withdraw
    • Create Withdraw (Bank Transfer)
      POST
    • Check Withdrawal Status
      GET
  • Callback
    • Callback Request
      POST
  1. Deposit

Create Deposit (Bank Transfer)

POST
/api/v2/deposit

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.payland.info/api/v2/deposit' \
--header 'x-api-key: {{api_key}}' \
--header 'x-secret-key: {{secret_key}}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
    "transaction_id": "DEP_{{$randomInt}}",
    "first_name": "John",
    "last_name": "Doe",
    "username": "johndoe",
    "email": "john@example.com",
    "phone": "+905551234567",
    "amount": 100.50,
    "currency": "TRY",
    "payment_method": "bank_transfer",
    "payment_type": "three_d_secure",
    "bank_id": {{bank_id}},
    "callback_url": "https://www.site.com/callback/payland",
    "success_url": "https://www.site.com/success",
    "failure_url": "https://www.site.com/failure/",
    "extra_fields": {
        "order_id": "12345"
    }
}'
Response Response Example
200 - Success
{
    "success": true,
    "message": null,
    "data": {
        "bank_info": {
            "iban": "TR330006100519786457841326",
            "iban_name": "Ahmet Y\u0131lmaz",
            "amount": 100.5,
            "transaction_id": "DEP_264",
            "hashed_transaction_id": "533f0795-e822-4a67-ab10-f8d9c00ba9b2",
            "payment_url": "https:\/\/pay.payland.info\/bank-transfer\/533f0795-e822-4a67-ab10-f8d9c00ba9b2"
        }
    },
    "code": 200
}
Modified at 2026-02-09 18:22:41
Previous
Withdraw Info
Next
Create Deposit (Credit Card)
Built with